package com.oguerreiro.resilient.activity;

import com.oguerreiro.resilient.activity.registry.ActivityProgressDescriptor;

/**
 * Interface implementations, should have all the properties needed to perform the activity
 */
public interface ActivityGuide {
	/**
	 * The username of the current signed in user, when the activity was launched. Usually obtained by {@code SecurityUtils.getCurrentUserLogin()}
	 */
	public String getUsername();
	
	/**
	 * A reference to the ActivityProgressDescriptor registered in the ActivityProgressRegistry
	 * @return
	 */
	public ActivityProgressDescriptor getActivityProgressDescriptor(); 
}
