package com.oguerreiro.resilient.repository;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.oguerreiro.resilient.domain.OrganizationType;
import com.oguerreiro.resilient.domain.enumeration.OrganizationNature;

/**
 * Spring Data JPA repository for the OrganizationType entity.
 *
 * When extending this class, extend OrganizationTypeRepositoryWithBagRelationships too.
 * For more information refer to https://github.com/jhipster/generator-jhipster/issues/17990.
 */
@Repository
public interface OrganizationTypeExtendedRepository extends OrganizationTypeRepositoryWithBagRelationships, OrganizationTypeRepository {
	List<OrganizationType> findByNatureIn(List<OrganizationNature> natures);
}
