package com.oguerreiro.resilient.service;

import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.oguerreiro.resilient.domain.UnitType;
import com.oguerreiro.resilient.repository.UnitTypeRepository;
import com.oguerreiro.resilient.service.dto.UnitTypeDTO;
import com.oguerreiro.resilient.service.mapper.UnitTypeMapper;

/**
 * Service Implementation for managing {@link com.oguerreiro.resilient.domain.UnitType}.
 */
@Service
@Transactional
public class UnitTypeService extends AbstractResilientService<UnitTypeDTO, UnitType, Long> {

  public UnitTypeService(UnitTypeRepository unitTypeRepository, UnitTypeMapper unitTypeMapper) {
    super(UnitType.class, unitTypeRepository, unitTypeMapper);
  }
}
