package com.oguerreiro.resilient.web.rest;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.oguerreiro.resilient.domain.MetadataProperty;
import com.oguerreiro.resilient.repository.MetadataPropertyRepository;
import com.oguerreiro.resilient.service.MetadataPropertyService;
import com.oguerreiro.resilient.service.dto.MetadataPropertyDTO;

/**
 * REST controller for managing {@link com.oguerreiro.resilient.domain.MetadataProperty}.
 */
@RestController
@RequestMapping("/api/metadata-properties")
public class MetadataPropertyResource extends AbstractResilientResource<MetadataProperty, MetadataPropertyDTO, Long> {

  private static final String ENTITY_NAME = "metadataProperty";

  public MetadataPropertyResource(MetadataPropertyService metadataPropertyService,
      MetadataPropertyRepository metadataPropertyRepository) {
    super(MetadataProperty.class, metadataPropertyRepository, metadataPropertyService);
  }

  /* Abstract methods impl*/
  @Override
  protected String getEntityName() {
    return ENTITY_NAME;
  }
}
